Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
agora::util::AOutputIterator< T > Class Template Reference

`#include <AgoraBase.h>`

## Public Types
typedef T | value_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef value_type * | pointer
typedef const value_type * | const_pointer

## Public Member Functions
| AOutputIterator (IIterator *it=OPTIONAL_NULLPTR)
| ~AOutputIterator ()
| AOutputIterator (const AOutputIterator &rhs)
AOutputIterator & | operator++ ()
bool | operator== (const AOutputIterator &rhs) const
bool | operator!= (const AOutputIterator &rhs) const
reference | operator* ()
const_reference | operator* () const
bool | valid () const

## Member Typedef Documentation

## ◆ value_type

template<class T>

typedef T agora::util::AOutputIterator< T >::value_type

## ◆ reference

template<class T>

typedef value_type& agora::util::AOutputIterator< T >::reference

## ◆ const_reference

template<class T>

typedef const value_type& agora::util::AOutputIterator< T >::const_reference

## ◆ pointer

template<class T>

typedef value_type* agora::util::AOutputIterator< T >::pointer

## ◆ const_pointer

template<class T>

typedef const value_type* agora::util::AOutputIterator< T >::const_pointer

## Constructor & Destructor Documentation

## ◆ AOutputIterator() [1/2]

template<class T>

agora::util::AOutputIterator< T >::AOutputIterator | ( | IIterator * | it = OPTIONAL_NULLPTR | ) |
| inlineexplicit

## ◆ ~AOutputIterator()

template<class T>

agora::util::AOutputIterator< T >::~AOutputIterator | ( |  | ) |
| inline

## ◆ AOutputIterator() [2/2]

template<class T>

agora::util::AOutputIterator< T >::AOutputIterator | ( | const AOutputIterator< T > & | rhs | ) |
| inline

## Member Function Documentation

## ◆ operator++()

template<class T>

AOutputIterator & agora::util::AOutputIterator< T >::operator++ | ( |  | ) |
| inline

## ◆ operator==()

template<class T>

bool agora::util::AOutputIterator< T >::operator== | ( | const AOutputIterator< T > & | rhs | ) | const
| inline

## ◆ operator!=()

template<class T>

bool agora::util::AOutputIterator< T >::operator!= | ( | const AOutputIterator< T > & | rhs | ) | const
| inline

## ◆ operator*() [1/2]

template<class T>

reference agora::util::AOutputIterator< T >::operator* | ( |  | ) |
| inline

## ◆ operator*() [2/2]

template<class T>

const_reference agora::util::AOutputIterator< T >::operator* | ( |  | ) | const
| inline

## ◆ valid()

template<class T>

bool agora::util::AOutputIterator< T >::valid | ( |  | ) | const
| inline